Debian Bug report logs - #619990
developers-reference: Update of merkel.d.o URLs

version graph

Package: developers-reference; Maintainer for developers-reference is Developers Reference Maintainers <debian-policy@lists.debian.org>; Source for developers-reference is src:developers-reference.

Reported by: Charles Plessy <plessy@debian.org>

Date: Mon, 28 Mar 2011 23:39:02 UTC

Severity: normal

Tags: patch

Fixed in version developers-reference/3.4.5

Done: David Prévot <taffit@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, plessy@debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#619990; Package developers-reference. (Mon, 28 Mar 2011 23:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
New Bug report received and forwarded. Copy sent to plessy@debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>. (Mon, 28 Mar 2011 23:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: developers-reference: Update of merkel.d.o URLs
Date: Tue, 29 Mar 2011 08:38:27 +0900
[Message part 1 (text/plain, inline)]
Package: developers-reference
Severity: normal

Dear all,

I am preparing an update for the Developers Reference now that
merkel.debian.org is being replaced.

 - For the ftp-master mirror, it is ries.debian.org.

 - For the BTS mirror, it seems that the information is outdated anyway, as
   bugs.debian.org and bugs-master.debian.org are accessible to all DDs.  I
   propose to remove the mention about the BTS mirror, since there does not
   seem to be any after merkel is turned off.

 - For Britney, I do not find the equivalent on ries.d.o for the following:
   merkel:/org/&ftp-debian-org;/testing/update_out/
   merkel:~aba/testing/update_out  Was it moved somewhere else ?

I attached a provisional patch were missing information is simply deleted.

Have a nice day,

-- 
Charles
[merkel-decommissionned.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#619990; Package developers-reference. (Tue, 29 Mar 2011 07:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Tue, 29 Mar 2011 07:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 619990@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Charles Plessy <plessy@debian.org>, 619990@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#619990: developers-reference: Update of merkel.d.o URLs
Date: Tue, 29 Mar 2011 09:09:55 +0200
Hi,

On Tue, 29 Mar 2011, Charles Plessy wrote:
>  - For Britney, I do not find the equivalent on ries.d.o for the following:
>    merkel:/org/&ftp-debian-org;/testing/update_out/
>    merkel:~aba/testing/update_out  Was it moved somewhere else ?

It's now part of release.debian.org and thus not mirrored
on ries.debian.org.

hertzog@ries:~$ ls -al /srv/ftp.debian.org/web/testing
lrwxrwxrwx 1 dak ftpteam 35  3 juil.  2010 /srv/ftp.debian.org/web/testing -> /srv/release.debian.org/www/britney
hertzog@ries:~$ ls -al /srv/release.debian.org/www/britney
ls: cannot access /srv/release.debian.org/www/britney: No such file or directory

But I think it's not very important:
- the former is web accessible at http://ftp-master.debian.org/testing/update_output/
- the latter is probably not really the reference implementation of britney anymore
  it can either be removed or replaced with 
  http://git.debian.org/?p=debian-release/britney1.git;a=summary and
  http://git.debian.org/?p=debian-release/britney2.git;a=summary

> Index: pkgs.dbk
> ===================================================================
> --- pkgs.dbk	(révision 8598)
> +++ pkgs.dbk	(copie de travail)
> @@ -2596,10 +2596,7 @@
>  before or after this main run, depending on the exact type.
>  </para>
>  <para>
> -If you want to see more details, you can look it up on
> -<filename>merkel:/org/&ftp-debian-org;/testing/update_out/</filename> (or
> -in <filename>merkel:~aba/testing/update_out</filename> to see a setup with
> -a smaller packages file).  Via web, it's at <ulink
> +If you want to see more details, you can look it up on <ulink
>  url="http://&ftp-master-host;/testing/update_out_code/"></ulink>.
>  </para>
>  <para>

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#619990; Package developers-reference. (Tue, 29 Mar 2011 22:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Tue, 29 Mar 2011 22:12:03 GMT) Full text and rfc822 format available.

Message #15 received at 619990@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, Charles Plessy <plessy@debian.org>, 619990@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#619990: developers-reference: Update of merkel.d.o URLs
Date: Tue, 29 Mar 2011 23:55:24 +0200
[Message part 1 (text/plain, inline)]
On Tue, Mar 29, 2011 at 09:09:55AM +0200, Raphael Hertzog wrote:
> But I think it's not very important:
> - the former is web accessible at http://ftp-master.debian.org/testing/update_output/
> - the latter is probably not really the reference implementation of britney anymore
>   it can either be removed or replaced with 
>   http://git.debian.org/?p=debian-release/britney1.git;a=summary and
>   http://git.debian.org/?p=debian-release/britney2.git;a=summary

True.  I've still set up a sync between franck and ries now.  It should be
synced every two hours and after britney.

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#619990; Package developers-reference. (Wed, 30 Mar 2011 00:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Wed, 30 Mar 2011 00:18:03 GMT) Full text and rfc822 format available.

Message #20 received at 619990@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 619990@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#619990: developers-reference: Update of merkel.d.o URLs
Date: Wed, 30 Mar 2011 09:30:00 +0900
[Message part 1 (text/plain, inline)]
tag 619990 + patch
thanks

Le Tue, Mar 29, 2011 at 09:09:55AM +0200, Raphael Hertzog a écrit :
> On Tue, 29 Mar 2011, Charles Plessy wrote:
> >  - For Britney, I do not find the equivalent on ries.d.o for the following:
> >    merkel:/org/&ftp-debian-org;/testing/update_out/
> >    merkel:~aba/testing/update_out  Was it moved somewhere else ?
 
> hertzog@ries:~$ ls -al /srv/release.debian.org/www/britney
> ls: cannot access /srv/release.debian.org/www/britney: No such file or directory

Hi Raphaël,

it seems that things changed overnight:

  plessy@ries:~$ ls -ald /srv/release.debian.org/www/britney
  drwxr-sr-x 5 release debian-release 4096 29 mars  10:20 /srv/release.debian.org/www/britney

So finally the mirror link can be replaced.  I attached the patch, that focuses on
correcting the links after the move from merkel to ries.

The links to the Git repositories would be an interesting addition.  But I even
found a third one:

  http://git.debian.org/?p=tools-release/britney.git

If there is interest, I can extend the patch to include references to Git
repositories, but since I am not familiar with them, I would need guidance.

Cheers,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan
[merkel-decommissionned.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Wed, 30 Mar 2011 00:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#619990; Package developers-reference. (Wed, 30 Mar 2011 06:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Wed, 30 Mar 2011 06:00:03 GMT) Full text and rfc822 format available.

Message #27 received at 619990@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Charles Plessy <plessy@debian.org>, 619990@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#619990: developers-reference: Update of merkel.d.o URLs
Date: Wed, 30 Mar 2011 07:55:39 +0200
On Wed, 30 Mar 2011, Charles Plessy wrote:
> Hi Raphaël,
> 
> it seems that things changed overnight:

Yes, see 20110329215524.GA21129@thrall.0x539.de by Phil Kern.

> The links to the Git repositories would be an interesting addition.  But I even
> found a third one:
> 
>   http://git.debian.org/?p=tools-release/britney.git
> 
> If there is interest, I can extend the patch to include references to Git
> repositories, but since I am not familiar with them, I would need guidance.

I don't think dev-ref is the place to document the Git repositories in use
by the release team, http://wiki.debian.org/Teams/ReleaseTeam would be
much more suited.

>  If you want to see more details, you can look it up on
> -<filename>merkel:/org/&ftp-debian-org;/testing/update_out/</filename> (or
> -in <filename>merkel:~aba/testing/update_out</filename> to see a setup with
> -a smaller packages file).  Via web, it's at <ulink
> +<filename>ries:/srv/release.debian.org/www/britney/update_output/</filename>.

Please use the web URL (http://&ftp-master-host;/testing/update_out/),
it's much more stable & convenient than this path on a Debian machine.

> +Via web, it's at <ulink
>  url="http://&ftp-master-host;/testing/update_out_code/"></ulink>.

Please drop this link. It's really of no use to point people to
britney's code (note it's not the web version of the above link...).

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#619990; Package developers-reference. (Wed, 30 Mar 2011 13:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Wed, 30 Mar 2011 13:06:05 GMT) Full text and rfc822 format available.

Message #32 received at 619990@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 619990@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#619990: developers-reference: Update of merkel.d.o URLs
Date: Wed, 30 Mar 2011 22:23:16 +0900
[Message part 1 (text/plain, inline)]
Le Wed, Mar 30, 2011 at 07:55:39AM +0200, Raphael Hertzog a écrit :
> On Wed, 30 Mar 2011, Charles Plessy wrote:
> 
> >  If you want to see more details, you can look it up on
> > -<filename>merkel:/org/&ftp-debian-org;/testing/update_out/</filename> (or
> > -in <filename>merkel:~aba/testing/update_out</filename> to see a setup with
> > -a smaller packages file).  Via web, it's at <ulink
> > +<filename>ries:/srv/release.debian.org/www/britney/update_output/</filename>.
> 
> Please use the web URL (http://&ftp-master-host;/testing/update_out/),
> it's much more stable & convenient than this path on a Debian machine.
> 
> > +Via web, it's at <ulink
> >  url="http://&ftp-master-host;/testing/update_out_code/"></ulink>.
> 
> Please drop this link. It's really of no use to point people to
> britney's code (note it's not the web version of the above link...).

Et voilà ! (attached).

-- 
Charles
[merkel-decommissionned.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#619990; Package developers-reference. (Wed, 30 Mar 2011 13:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Wed, 30 Mar 2011 13:57:07 GMT) Full text and rfc822 format available.

Message #37 received at 619990@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Charles Plessy <plessy@debian.org>, 619990@bugs.debian.org
Subject: Re: Bug#619990: developers-reference: Update of merkel.d.o URLs
Date: Wed, 30 Mar 2011 15:54:33 +0200
tag 619990 pending
thanks

On Wed, 30 Mar 2011, Charles Plessy wrote:
> > Please drop this link. It's really of no use to point people to
> > britney's code (note it's not the web version of the above link...).
> 
> Et voilà ! (attached).

Thanks, applied.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Added tag(s) pending. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Wed, 30 Mar 2011 13:57:10 GMT) Full text and rfc822 format available.

Reply sent to David Prévot <taffit@debian.org>:
You have taken responsibility. (Thu, 23 Jun 2011 19:36:13 GMT) Full text and rfc822 format available.

Notification sent to Charles Plessy <plessy@debian.org>:
Bug acknowledged by developer. (Thu, 23 Jun 2011 19:36:13 GMT) Full text and rfc822 format available.

Message #44 received at 619990-close@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 619990-close@bugs.debian.org
Subject: Bug#619990: fixed in developers-reference 3.4.5
Date: Thu, 23 Jun 2011 19:33:00 +0000
Source: developers-reference
Source-Version: 3.4.5

We believe that the bug you reported is fixed in the latest version of
developers-reference, which is due to be installed in the Debian FTP archive:

developers-reference-de_3.4.5_all.deb
  to main/d/developers-reference/developers-reference-de_3.4.5_all.deb
developers-reference-fr_3.4.5_all.deb
  to main/d/developers-reference/developers-reference-fr_3.4.5_all.deb
developers-reference-ja_3.4.5_all.deb
  to main/d/developers-reference/developers-reference-ja_3.4.5_all.deb
developers-reference_3.4.5.dsc
  to main/d/developers-reference/developers-reference_3.4.5.dsc
developers-reference_3.4.5.tar.bz2
  to main/d/developers-reference/developers-reference_3.4.5.tar.bz2
developers-reference_3.4.5_all.deb
  to main/d/developers-reference/developers-reference_3.4.5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 619990@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Prévot <taffit@debian.org> (supplier of updated developers-reference package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 19 Jun 2011 13:56:46 -0400
Source: developers-reference
Binary: developers-reference developers-reference-de developers-reference-fr developers-reference-ja
Architecture: source all
Version: 3.4.5
Distribution: unstable
Urgency: low
Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
Changed-By: David Prévot <taffit@debian.org>
Description: 
 developers-reference - guidelines and information for Debian developers
 developers-reference-de - guidelines and information for Debian developers, in German
 developers-reference-fr - guidelines and information for Debian developers, in French
 developers-reference-ja - guidelines and information for Debian developers, in Japanese
Closes: 453313 548867 619990 623489 623512
Changes: 
 developers-reference (3.4.5) unstable; urgency=low
 .
   * Team upload.
 .
   [ Gerfried Fuchs ]
   * Remove part about -v for package uploads from experimental to unstable,
     version tracking removed that requirement.
 .
   [ Raphaël Hertzog ]
   * Rework section on "sponsoring packages" and include a basic
     checklist for the sponsor. Closes: #453313
   * Update the "Debian Developer's Duties" chapter to be more explicit
     about duties of package maintainers. Closes: #548867
   * Update references to merkel (which is decommissionned) where
     needed. Closes: #619990
     Thanks to Charles Plessy for the patch.
   * Many typos fixed by Chris Leick <c.leick@vollbio.de>. Closes: #623512
 .
   [ Chris Leick ]
   * Initial German translation.
 .
   [ David Prévot ]
   * Activate German package. Closes: #623489
   * Update French translation.
   * Bump Standards-Version to 3.9.2. No changes needed.
   * Add build-arch and build-indep targets.
   * Explicitly refer to GPL-2 file in debian/copyright.
 .
   [ Hideki Yamane ]
   * Update Japanese translation.
Checksums-Sha1: 
 d60c87880daa6665b0535c4ef99daffc6c017b0e 1906 developers-reference_3.4.5.dsc
 c29a514400798b388f6ae7805e3974ef8b885cb2 608140 developers-reference_3.4.5.tar.bz2
 68511e26d61c373e317f2926b062eebc2191b0cf 727862 developers-reference_3.4.5_all.deb
 22f50ae2a189a66b6ed37371909d06218e4210ba 800986 developers-reference-de_3.4.5_all.deb
 eceab27f47bfb22e48abc7e1b9a65dcf554b9dc8 787194 developers-reference-fr_3.4.5_all.deb
 a7f43815664efaf446281572e93d920207554310 277530 developers-reference-ja_3.4.5_all.deb
Checksums-Sha256: 
 51c199c7ac3391f65f5219e309bcb29d6238f59f719c862e9c9a4e2f8ec2d330 1906 developers-reference_3.4.5.dsc
 af26c979639198954875507e8512a36cc3b490a36d9af8bb9ab9e34c55a5ad85 608140 developers-reference_3.4.5.tar.bz2
 e46db65c9d5b84a3daa586fbce946864af33976b2cfb0730df11215fa846b854 727862 developers-reference_3.4.5_all.deb
 a712ca8082db28a61a6e6e95536f620711217d24e4e254b3dd9773c221c0537b 800986 developers-reference-de_3.4.5_all.deb
 5137de66871253d5df518957b767e3f3552e98aa572377503aa7ccfd4d928a9b 787194 developers-reference-fr_3.4.5_all.deb
 a409758b308dfe21f82af1e64945f1b4e1a3ce2ad90cd068ae649147e2af0692 277530 developers-reference-ja_3.4.5_all.deb
Files: 
 5c4d721ac836dbdb3545d691ad434ece 1906 doc optional developers-reference_3.4.5.dsc
 e6cb866248d4471c70a286c1af945e4c 608140 doc optional developers-reference_3.4.5.tar.bz2
 e9a2019c38d6707e407ff39ac1f9e41b 727862 doc optional developers-reference_3.4.5_all.deb
 1564f9fbb019c0b462c55b5a049d70c6 800986 doc optional developers-reference-de_3.4.5_all.deb
 f2f2df6c307a240f5081bb00f053e437 787194 doc optional developers-reference-fr_3.4.5_all.deb
 479e139d6ec5047c820194d9e98c0632 277530 doc optional developers-reference-ja_3.4.5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJN/jxkAAoJELgqIXr9/gnyMlEQAIwMxvLMtTUISbpIMr7FD0is
kHV+fFLH8iQRyzxJu40/3y3kbkVx3z2hhbTT6MHEAs+VcZOqZuzcIFCxbTVZS5p4
+/dPTwvYwzVnUpHPBu2CAhKkv4cECHkm/eQpxb/jkKexBjs5aUC3/t2rRuqeJNWu
FDZWEJ6/6LdeiDGCoslmHe+e67+e1KpM3dkme8xKNYHAI1Jnl8VXIwggy/CTuSr3
711EertX9RlR7a75eF1ndjPv/79zLUZ1iHcXXc03IQiEj7zlIznMXqHkUVE6oWwj
gk9es1maiPa1xI9VgzcHR8uV+WLPEkfuYuePsinma7OUOhcnotlTR4X/fRhlC85t
pwjNlQFVN3ccJi8Us/x5xinBtPkVpB7vDKRp7b+IqMh9xrG95ZEzm+nz/lXYjrrk
cPIf2RChJ+yJbiZd3aCsSO7hdMfWl4+mCt1xZQudpS7C4/kMVKdZHo5tnJlwGWkC
Qyg62ld3j9jrfnc+ai/wm3p/vizBydOyh+2MBeMr67iylX0FT28ThiOTofr65isX
fYuGAUaZGfGFS2YYS1rmfQQQgjyBYV6TGLfzme/A58x7r3R/lPrReYY+qrH7VPC5
IFk5oFduZll/sb4gMjnF++Mg81CKCh9SStm0HxBxaYA2DRb4k3MLEyZDNdAude7F
S/7bmRjfRHtpElwCPxwQ
=ds4R
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Aug 2011 07:40:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:14:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.